create table if not exists T_SHINSEIINFO_BEF_KINGAKU_DTL (
  CERTIFICATION_ID VARCHAR2(20) not null
  , SERIAL_NUMBER NUMBER(4, 0) not null
  , TARGET_YEAR CHAR(4) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , FEES_AMOUNT_1 NUMBER(7, 0)
  , REDUCE_AMOUNT_1 NUMBER(7, 0)
  , PAY_AMOUNT_1 NUMBER(6, 0)
  , ADD_AMOUNT_1 NUMBER(6, 0)
  , TOTAL_AMOUNT_1 NUMBER(6, 0)
  , FEES_AMOUNT_2 NUMBER(7, 0)
  , REDUCE_AMOUNT_2 NUMBER(7, 0)
  , PAY_AMOUNT_2 NUMBER(6, 0)
  , ADD_AMOUNT_2 NUMBER(6, 0)
  , TOTAL_AMOUNT_2 NUMBER(6, 0)
  , FEES_AMOUNT_3 NUMBER(7, 0)
  , REDUCE_AMOUNT_3 NUMBER(7, 0)
  , PAY_AMOUNT_3 NUMBER(6, 0)
  , ADD_AMOUNT_3 NUMBER(6, 0)
  , TOTAL_AMOUNT_3 NUMBER(6, 0)
  , FEES_AMOUNT_4 NUMBER(7, 0)
  , REDUCE_AMOUNT_4 NUMBER(7, 0)
  , PAY_AMOUNT_4 NUMBER(6, 0)
  , ADD_AMOUNT_4 NUMBER(6, 0)
  , TOTAL_AMOUNT_4 NUMBER(6, 0)
  , FEES_AMOUNT_5 NUMBER(7, 0)
  , REDUCE_AMOUNT_5 NUMBER(7, 0)
  , PAY_AMOUNT_5 NUMBER(6, 0)
  , ADD_AMOUNT_5 NUMBER(6, 0)
  , TOTAL_AMOUNT_5 NUMBER(6, 0)
  , FEES_AMOUNT_6 NUMBER(7, 0)
  , REDUCE_AMOUNT_6 NUMBER(7, 0)
  , PAY_AMOUNT_6 NUMBER(6, 0)
  , ADD_AMOUNT_6 NUMBER(6, 0)
  , TOTAL_AMOUNT_6 NUMBER(6, 0)
  , FEES_AMOUNT_7 NUMBER(7, 0)
  , REDUCE_AMOUNT_7 NUMBER(7, 0)
  , PAY_AMOUNT_7 NUMBER(6, 0)
  , ADD_AMOUNT_7 NUMBER(6, 0)
  , TOTAL_AMOUNT_7 NUMBER(6, 0)
  , FEES_AMOUNT_8 NUMBER(7, 0)
  , REDUCE_AMOUNT_8 NUMBER(7, 0)
  , PAY_AMOUNT_8 NUMBER(6, 0)
  , ADD_AMOUNT_8 NUMBER(6, 0)
  , TOTAL_AMOUNT_8 NUMBER(6, 0)
  , FEES_AMOUNT_9 NUMBER(7, 0)
  , REDUCE_AMOUNT_9 NUMBER(7, 0)
  , PAY_AMOUNT_9 NUMBER(6, 0)
  , ADD_AMOUNT_9 NUMBER(6, 0)
  , TOTAL_AMOUNT_9 NUMBER(6, 0)
  , FEES_AMOUNT_10 NUMBER(7, 0)
  , REDUCE_AMOUNT_10 NUMBER(7, 0)
  , PAY_AMOUNT_10 NUMBER(6, 0)
  , ADD_AMOUNT_10 NUMBER(6, 0)
  , TOTAL_AMOUNT_10 NUMBER(6, 0)
  , FEES_AMOUNT_11 NUMBER(7, 0)
  , REDUCE_AMOUNT_11 NUMBER(7, 0)
  , PAY_AMOUNT_11 NUMBER(6, 0)
  , ADD_AMOUNT_11 NUMBER(6, 0)
  , TOTAL_AMOUNT_11 NUMBER(6, 0)
  , FEES_AMOUNT_12 NUMBER(7, 0)
  , REDUCE_AMOUNT_12 NUMBER(7, 0)
  , PAY_AMOUNT_12 NUMBER(6, 0)
  , ADD_AMOUNT_12 NUMBER(6, 0)
  , TOTAL_AMOUNT_12 NUMBER(6, 0)
  , FEES_TOTAL NUMBER(7, 0)
  , REDUCE_TOTAL NUMBER(7, 0)
  , PAY_TOTAL NUMBER(7, 0)
  , ADD_TOTAL NUMBER(7, 0)
  , ALL_TOTAL NUMBER(7, 0)
  , constraint T_SHINSEIINFO_BEF_KINGAKU_DTL_PKC primary key (CERTIFICATION_ID,SERIAL_NUMBER,TARGET_YEAR)
) ;

create table if not exists W_SHINSEIINFO_BEF_KINGAKU_DTL (
  CERTIFICATION_ID VARCHAR2(20) not null
  , SERIAL_NUMBER NUMBER(4, 0) not null
  , TARGET_YEAR CHAR(4) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , FEES_AMOUNT_1 NUMBER(7, 0)
  , REDUCE_AMOUNT_1 NUMBER(7, 0)
  , PAY_AMOUNT_1 NUMBER(6, 0)
  , ADD_AMOUNT_1 NUMBER(6, 0)
  , TOTAL_AMOUNT_1 NUMBER(6, 0)
  , FEES_AMOUNT_2 NUMBER(7, 0)
  , REDUCE_AMOUNT_2 NUMBER(7, 0)
  , PAY_AMOUNT_2 NUMBER(6, 0)
  , ADD_AMOUNT_2 NUMBER(6, 0)
  , TOTAL_AMOUNT_2 NUMBER(6, 0)
  , FEES_AMOUNT_3 NUMBER(7, 0)
  , REDUCE_AMOUNT_3 NUMBER(7, 0)
  , PAY_AMOUNT_3 NUMBER(6, 0)
  , ADD_AMOUNT_3 NUMBER(6, 0)
  , TOTAL_AMOUNT_3 NUMBER(6, 0)
  , FEES_AMOUNT_4 NUMBER(7, 0)
  , REDUCE_AMOUNT_4 NUMBER(7, 0)
  , PAY_AMOUNT_4 NUMBER(6, 0)
  , ADD_AMOUNT_4 NUMBER(6, 0)
  , TOTAL_AMOUNT_4 NUMBER(6, 0)
  , FEES_AMOUNT_5 NUMBER(7, 0)
  , REDUCE_AMOUNT_5 NUMBER(7, 0)
  , PAY_AMOUNT_5 NUMBER(6, 0)
  , ADD_AMOUNT_5 NUMBER(6, 0)
  , TOTAL_AMOUNT_5 NUMBER(6, 0)
  , FEES_AMOUNT_6 NUMBER(7, 0)
  , REDUCE_AMOUNT_6 NUMBER(7, 0)
  , PAY_AMOUNT_6 NUMBER(6, 0)
  , ADD_AMOUNT_6 NUMBER(6, 0)
  , TOTAL_AMOUNT_6 NUMBER(6, 0)
  , FEES_AMOUNT_7 NUMBER(7, 0)
  , REDUCE_AMOUNT_7 NUMBER(7, 0)
  , PAY_AMOUNT_7 NUMBER(6, 0)
  , ADD_AMOUNT_7 NUMBER(6, 0)
  , TOTAL_AMOUNT_7 NUMBER(6, 0)
  , FEES_AMOUNT_8 NUMBER(7, 0)
  , REDUCE_AMOUNT_8 NUMBER(7, 0)
  , PAY_AMOUNT_8 NUMBER(6, 0)
  , ADD_AMOUNT_8 NUMBER(6, 0)
  , TOTAL_AMOUNT_8 NUMBER(6, 0)
  , FEES_AMOUNT_9 NUMBER(7, 0)
  , REDUCE_AMOUNT_9 NUMBER(7, 0)
  , PAY_AMOUNT_9 NUMBER(6, 0)
  , ADD_AMOUNT_9 NUMBER(6, 0)
  , TOTAL_AMOUNT_9 NUMBER(6, 0)
  , FEES_AMOUNT_10 NUMBER(7, 0)
  , REDUCE_AMOUNT_10 NUMBER(7, 0)
  , PAY_AMOUNT_10 NUMBER(6, 0)
  , ADD_AMOUNT_10 NUMBER(6, 0)
  , TOTAL_AMOUNT_10 NUMBER(6, 0)
  , FEES_AMOUNT_11 NUMBER(7, 0)
  , REDUCE_AMOUNT_11 NUMBER(7, 0)
  , PAY_AMOUNT_11 NUMBER(6, 0)
  , ADD_AMOUNT_11 NUMBER(6, 0)
  , TOTAL_AMOUNT_11 NUMBER(6, 0)
  , FEES_AMOUNT_12 NUMBER(7, 0)
  , REDUCE_AMOUNT_12 NUMBER(7, 0)
  , PAY_AMOUNT_12 NUMBER(6, 0)
  , ADD_AMOUNT_12 NUMBER(6, 0)
  , TOTAL_AMOUNT_12 NUMBER(6, 0)
  , FEES_TOTAL NUMBER(7, 0)
  , REDUCE_TOTAL NUMBER(7, 0)
  , PAY_TOTAL NUMBER(7, 0)
  , ADD_TOTAL NUMBER(7, 0)
  , ALL_TOTAL NUMBER(7, 0)
  , constraint W_SHINSEIINFO_BEF_KINGAKU_DTL_PKC primary key (CERTIFICATION_ID,SERIAL_NUMBER,TARGET_YEAR)
) ;
