drop table M_SYOTOKU_GENDO;
create table if not exists  M_SYOTOKU_GENDO (
  SCHOOL_SYU VARCHAR2(2) not null
  , SCHOOL_ID VARCHAR2(4) not null
  , COURSE VARCHAR2(2) not null
  , TARGET_YEAR CHAR(6) not null
  , KASAN_KBN_CODE VARCHAR2(2) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , KASAN_KBN_NAME VARCHAR2(20)
  , SYOTOKU_FROM NUMBER(8, 0) not null
  , SYOTOKU_TO NUMBER(8, 0) not null
  , constraint M_SYOTOKU_GENDO_PKC primary key (SCHOOL_SYU,SCHOOL_ID,COURSE,TARGET_YEAR,KASAN_KBN_CODE)
);

INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',304200,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',154500,304199);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',51300,154499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,51299);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201404','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','01','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','02','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','03','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','04','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','05','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','06','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','07','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','08','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','09','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','10','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','11','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','12','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','13','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('01','0000','14','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','01','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','02','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','03','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','04','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','05','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','06','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','07','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','08','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','09','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','10','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','11','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','12','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','13','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('02','0000','14','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','01','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','02','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','03','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','04','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','05','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','06','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','07','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','08','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','09','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','10','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','11','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','12','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','13','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'○',0,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('03','0000','14','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','01','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','02','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','03','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','04','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','05','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','06','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','07','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','08','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','09','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','10','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','11','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','12','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','13','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','1',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'所得制限',507000,99999999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','2',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'加算なし',257500,506999);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','3',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'1.5倍',85500,257499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','4',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.0倍',100,85499);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','5',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'2.5倍',0,99);
INSERT OR IGNORE INTO M_SYOTOKU_GENDO VALUES ('04','0000','14','201807','99',datetime('now','localtime'),'SYSTEM',datetime('now','localtime'),'SYSTEM',0,'差止',-1,-1);
